AbstractBuildCache (Gradle API 3.5)
Date: 2017-04-10

org.gradle.caching.configuration

## Class AbstractBuildCache

- java.lang.Object
- - org.gradle.caching.configuration.AbstractBuildCache

- All Implemented Interfaces:
    BuildCache
  Direct Known Subclasses:
    DirectoryBuildCache, HttpBuildCache

      @Incubating
      public abstract class AbstractBuildCache
      extends Object
      implements BuildCache

  Base implementation for build cache service configuration.
  Since:
    3.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBuildCache()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEnabled()` Returns whether the build cache is enabled.
    `boolean` | `isPush()` Returns whether pushing to the build cache is enabled.
    `void` | `setEnabled(boolean enabled)` Enables or disables the build cache service.
    `void` | `setPush(boolean push)` Sets whether pushing to the build cache is enabled.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractBuildCache

          public AbstractBuildCache()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Returns whether the build cache is enabled.
      Specified by:
        `isEnabled` in interface `BuildCache`

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Enables or disables the build cache service.
      Specified by:
        `setEnabled` in interface `BuildCache`

    - #### isPush

          public boolean isPush()

      Returns whether pushing to the build cache is enabled.
      Specified by:
        `isPush` in interface `BuildCache`

    - #### setPush

          public void setPush(boolean push)

      Sets whether pushing to the build cache is enabled.
      Specified by:
        `setPush` in interface `BuildCache`